// pages/recommendRule/recommendRule.js
import {
  get,
  post
} from '../../utils/http'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    recommendRuleData:{},
    notTrueBtn:false
  },

  //获取当前推荐原则
  recommendRule() {
    get('/v2/api/user/recommend_rule', {}, res => {
      this.setData({
        recommendRuleData:res.data
      })
    })
  },

  submits() {
    post('/v2/api/user/recommend_rule', {}, res => {
      wx.redirectTo({
        url: '/pages/faceDetectionDetails/faceDetectionDetails',
      })
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options,'options');
    this.setData({
      notTrueBtn:options.notTrueBtn
    })
    this.recommendRule()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})